Subject: RE: A problem with OpenSSH 3.8.p1-1 - ssh-agent
From: "Andrew J Halls" <[email-masked]>
To: <[email-masked]>
Date: Fri, 5 Mar 2004 00:28:50 +1030

Have to tried it yet Brain but will do. Will keep informed.

Tks
Andy H

-----Original Message-----
From: Brian Ford [mailto:[email-masked]] 
Sent: Thursday, March 04, 2004 6:52 AM
To: Karl M
Cc: [email-masked]
Subject: RE: A problem with OpenSSH 3.8.p1-1 - ssh-agent

On Wed, 3 Mar 2004 Andrew J Halls wrote:

>	Second is that I first noticed this problem after upgrading
>Cygwin-1.5 dll at around 1.5.3 or 1.5.4 back in September last year.
>
>As I only run one ssh-agent for all by rxvt/bash sessions that I run I use
>to run a script, out of /etc/profile.d, that would check to see if there
was
>a ssh-agent all ready running for the user , if not run one, is so export
>the correct SSH_XXXX into the environment if the script could communicate
>with that instance else give and error message.  I do this so that I can
>close all of my rxvt/bash sessions if I needed to and reattach to the
>agent later when I started them up again.
>
>What I was noticing was that the first rxvt/bash session started would not
>complete it's shutdown until I killed the ssh-agent, this was not the
>pervious way the ssh-agent did things before in Cygwin-1.5.1 or 1.5.2.
>This means to me that the ssh-agent was not closing all its file
descriptors
>properly when going into daemon mode or that the semantics of the fork or
>exec call had changed to be more like SVR4.
>
I don't remember the details, but there were bugs like this somewhere in
the 1.5 series.  Search the archives if you are still interested.

>I have another couple of machines running with Cygwin (the version of the
>dll has also been upgraded along the way) and OpenSSH-3.7.1p2 on them with
>the same results at above.
>
You mean they are running Cygwin 1.5.7, and they have the bash/rxvt hang
for the bash/rxvt that started ssh-agent?

The best advice for you is still:

On Tue, 2 Mar 2004 Corinna Vinschen wrote:

>Does this happen all the time, reproducibly?  If yes, did you try
>a recent Cygwin snapshot from http://cygwin.com/snapshots/ to see if that
>cures the problem?
>
>If not, it would be interesting to see an strace of ssh-agent, perhaps.
>
So, please try it.

-- 
Brian Ford
Senior Realtime Software Engineer
VITAL - Visual Simulation Systems
FlightSafety International
Phone: 314-551-8460
Fax:   314-551-8444

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/